Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002735KdenliveBuild Systempublic2012-09-15 09:262013-01-28 19:50
Reportersunab 
Assigned Toj-b-m 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
Platform32 bit intel and alikeOSUbuntuOS Version10.04
Product Version 
Target VersionFixed in Version0.9.4 
Summary0002735: Kdenlive fails to build with Qt 4.6
DescriptionBuild log extract :

In file included from /build/buildd/kdenlive-0.9.3+git20120914.449d9625/obj-i486-linux-gnu/src/kdenlive_automoc.cpp:55:
/build/buildd/kdenlive-0.9.3+git20120914.449d9625/obj-i486-linux-gnu/src/moc_resourcewidget.cpp: In member function 'virtual int ResourceWidget::qt_metacall(QMetaObject::Call, int, void**)':
/build/buildd/kdenlive-0.9.3+git20120914.449d9625/obj-i486-linux-gnu/src/moc_resourcewidget.cpp:110: error: no matching function for call to 'ResourceWidget::addClip(KUrl&, QMap<QString, QString>&, QString&)'
/build/buildd/kdenlive-0.9.3+git20120914.449d9625/obj-i486-linux-gnu/src/../../src/utils/resourcewidget.h:87: note: candidates are: void ResourceWidget::addClip(KUrl, QMap<QString, QString>)
/build/buildd/kdenlive-0.9.3+git20120914.449d9625/obj-i486-linux-gnu/src/moc_resourcewidget.cpp: At global scope:
/build/buildd/kdenlive-0.9.3+git20120914.449d9625/obj-i486-linux-gnu/src/moc_resourcewidget.cpp:139: error: prototype for 'void ResourceWidget::addClip(KUrl, QMap<QString, QString>, QString)' does not match any in class 'ResourceWidget'
/build/buildd/kdenlive-0.9.3+git20120914.449d9625/obj-i486-linux-gnu/src/../../src/utils/resourcewidget.h:87: error: candidate is: void ResourceWidget::addClip(KUrl, QMap<QString, QString>)
make[3]: *** [src/CMakeFiles/kdenlive.dir/kdenlive_automoc.o] Error 1
TagsNo tags attached.
Build/Install Method(select)
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2012-09-15 09:26 sunab New Issue
2012-09-17 10:49 j-b-m Status new => resolved
2012-09-17 10:49 j-b-m Fixed in Version => Recent git
2012-09-17 10:49 j-b-m Resolution open => fixed
2012-09-17 10:49 j-b-m Assigned To => j-b-m
2013-01-28 19:50 j-b-m Fixed in Version Recent git => 0.9.4
2013-01-28 19:50 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker